Description

It would be very helpful if | could go directly to a revision, issues, commit, or source file by typing the wiki link syntax into the free-text
search box at the top of a project. Currently only jumping to issues works with #NNN, but it would be very helpful if all of the following
navigated directly to their targets:

[

12

r43
commit:f30e13e43
source:some/file

N

It seems unlikely that these would mask real free-text search strings, but if that is a concern using quotes could always force a
normal free-text search.

Related issues:
Related to Redmine - Defect #3627: Can't search for numbers e.g. error codes Closed 2009-07-16

History

#1 - 2008-12-17 23:12 - Mischa The Evil
- Category changed from Accounts / authentication to Search engine
Brad Schick wrote:

Currently only jumping to issues works with #NNN

For issues only, currently you can even omit the "#". So NNN, followed by an <enter>, in the project searchbox is sufficient to go straight "into" the
issue...

[...] directly to their targets:

[
[\V]

1

Since issues are "the heart of Redmine" I'd like the current behaviour of not requireing the "#" to go straight to the issue. Though, if the "#" is optional
(as it is currently) | can live with it... ;)

[...] directly to their targets:

r43

+10... | see myself using it alot already... Makes me :smile:
[...] directly to their targets:
e commit:f30e13e43

e source:some/file

These two seems a bit of overkill IMO. Are you frequently going in "so deep into detail" straight from the repository main page? Personally | don't but
YMMV :)
Note: for Git-users this would be much more needed than for SVN-users...

#2 - 2008-12-18 01:04 - Brad Schick
https://www.redmine.org/issues/12
https://www.redmine.org/projects/redmine/repository/svn/revisions/43
https://www.redmine.org/projects/redmine/repository/svn/entry/some/file
https://www.redmine.org/issues/12
https://www.redmine.org/projects/redmine/repository/svn/revisions/43
https://www.redmine.org/projects/redmine/repository/svn/entry/some/file

Certainly issues and revisions are the most important. The other direct links are just gravy, but | see little reason to not support them. It's how |
expected the search field to behave when | tried it the first time.

#3 - 2008-12-21 14:43 - Mischa The Evil
- File add_quickjump_to_changeset _in_search-r2147.diff added

Mischa The Evil wrote:
Brad Schick wrote:
[...] directly to their targets:

r43

+10... | see myself using it alot already... Makes me :smile:

The fact that such a feature gives me a big smile on my face triggered myself to hack this into Redmine.
I'll attach a quick-n-dirty patch which implements numeric-changeset quickjump-functionality into the searchbox. This feature is:

included at project-level only (thus only looking for changesets in the current-project's repository)

ignoring tried quickjumps on projects without a repository attached (thus does a regular search with the given search string)
ignoring tried quickjumps to non-existant changesets (thus does a regular search with the given search string)

requiring the following syntax in the searchbox:

rNNN

where NNN needs to get substituted by the numeric changeset-id (note that the r is required here)
e not supporting the non-numeric changeset hashes used by e.g. Git (commit:HEX-ID)

Please note that this patch is created by trial-and-erroring with a useful outcome on my personal environment (Redmine r2147 + SVN 1.5.x). YMMV!

-)

#4 - 2016-09-13 17:23 - Benjamin Schunn

This is already implemented and could be closed.

#5 - 2016-09-13 19:14 - Toshi MARUYAMA

Benjamin Schunn wrote:

This is already implemented and could be closed.

Not implemented yet.

Files

add_quickjump_to_changeset_in_search-r2147.diff 725 Bytes 2008-12-21 Mischa The Evil

2025-08-23 22


https://www.redmine.org/projects/redmine/repository/svn/revisions/43
https://www.redmine.org/projects/redmine/repository/svn/revisions/2147
http://www.tcpdf.org

